let express = require('express');
var mysql = require('mysql');
var rotas_cargos = require('./rotas/rotas_cargos');  //module you want to include
var rotas_funcionarios = require('./rotas/rotas_funcionarios');  //module you want to include

var app = express();
app.use(express.static('js'));
app.use(express.json())
app.use('/view', express.static(__dirname + '/view'));

let porta = 3000;

var banco = mysql.createPool({
  connectionLimit: 128,
  host: 'localhost',
  user: 'root',
  password: '',
  database: 'paw007'});

rotas_cargos(app,banco);
rotas_funcionarios(app,banco);

app.listen(porta, function () {
  console.log('Servidor Ativo na porta: ' + porta + '!');
});
module.exports = app; 